Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: Apache: Bugs

[Bug 53140] "/server-status" & "/server-info" fail (File does not exist) to display

 

 

Apache bugs RSS feed   Index | Next | Previous | View Threaded


bugzilla at apache

Apr 24, 2012, 9:44 AM

Post #1 of 2 (170 views)
Permalink
[Bug 53140] "/server-status" & "/server-info" fail (File does not exist) to display

https://issues.apache.org/bugzilla/show_bug.cgi?id=53140

Eric Covener <covener [at] gmail> changed:

What |Removed |Added
----------------------------------------------------------------------------
Status|NEW |NEEDINFO

--- Comment #1 from Eric Covener <covener [at] gmail> 2012-04-24 16:44:49 UTC ---
can you post a flat, simple configuration that demonstrates the problem?

--
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe [at] httpd
For additional commands, e-mail: bugs-help [at] httpd


bugzilla at apache

Apr 24, 2012, 10:24 AM

Post #2 of 2 (148 views)
Permalink
[Bug 53140] "/server-status" & "/server-info" fail (File does not exist) to display [In reply to]

https://issues.apache.org/bugzilla/show_bug.cgi?id=53140

locuse <locuse [at] mm> changed:

What |Removed |Added
----------------------------------------------------------------------------
Status|NEEDINFO |RESOLVED
Resolution| |INVALID

--- Comment #2 from locuse <locuse [at] mm> 2012-04-24 17:24:42 UTC ---
the requested process of simplifying/flattening my *overall* config found the
problem -- just not where i was looking.

disabling modsecurity2 module fixed the problem -- /server-status &
/server-info both display as requested.

the (in?)direct cause, it seems, is that latest apr/apr-util seems seem to no
longer have an apu-*-config. in config output for httpd, i note,

...
configure: APR-util obsoleted, woohoo
...

in any case, modsecurity2 module build, which was previously 'happy' with
config option of just "--with-apxs=..." for httpd 2.4.x now *requires* (not
that it tells you that ...) an additional,

--with-apr=/usr/local/apache24x/bin/apr-2-config
--with-apu=/usr/local/apache24x/bin/apr-2-config

with those config options in place, a rebuild of modsecurity2, then reenabling
the module in apache24x, all's well again.

apologies for the more-or-less fire drill ...

--
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe [at] httpd
For additional commands, e-mail: bugs-help [at] httpd

Apache bugs RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.